<?php

/*
Plugin Name: airticle_checker
Plugin URI: http://www.monochrome-photo.info/
Description: 投稿画面にてタイトルと本文の文字数をカウントする（フォーマットカラムを非表示にもします）
Version: 0.1
Author: mono96
Author URI: http://www.monochrome-photo.info/
License: GPL V2
*/



// アクションを登録
add_action('edit_form_after_title', 'your_airticle_content_status');
/**
 * タイトルの下に投稿の完成度を表示
 *
 * @param WP_Post $post
 */
function your_airticle_content_status($post){
     $title_word = mb_strlen($post->post_title, 'utf-8');
          echo "<p>タイトル文字数 : ". $title_word ;

          if($title_word > 32){
                    // 32文字より多い
                    echo ' >> 検索結果で省略・見えなくなります。<span style="color:#ff0000;">短く</span>してください。</p>';

               }else if ($title_word == 28) {
                    // 400字以上あればOK
                    echo ' >> OK! </p>';
               }else if ($title_word < 24) {
                    echo ' >> <span style="color:#ff0000;">キーワード</span>を追加してください。</p>';
               }


     $airticle_word = mb_strlen($post->post_content, 'utf-8');
          echo "<p>本文 文字数 : ". $airticle_word ;
     if($airticle_word < 400){
               // 400字に満たなかったら警告
               echo ' >> <span style="color:#ff0000;">低品質コンテンツ</span>となる可能性があります。</p>';
          }else{
               // 400字以上あればOK
               echo ' >> お疲れさま！</p>';
          }
}

//タイトル 書き換え
function your_airticle_TitleHere_enter($placeholder) {
	$placeholder = '28文字で構成 （検索されるキーワード + 読んで欲しいターゲットを明記）';
	return $placeholder;
}
add_filter('enter_title_here','your_airticle_TitleHere_enter');

//フォーマットカラム非表示
function remove_post_metaboxes() {
  remove_meta_box('formatdiv', 'post', 'normal');
}
add_action('admin_menu', 'remove_post_metaboxes');

?>
